import * as Babel from "@babel/core";
export declare type CompilationInfo = {
    entry: string;
    projectFiles: string[];
    compiledPaths: Set<string>;
    dedupOutPaths: Set<string>;
    mapInOutPaths: Map<string, string>;
    logs: {
        [severity: string]: string[];
    };
};
export declare type FableOptions = {
    define?: string[];
    plugins?: string[];
    typedArrays?: boolean;
    clampByteArrays?: boolean;
    classTypes?: boolean;
    typescript?: boolean;
};
export declare type RunOptions = {
    args: string[];
    inspect?: boolean;
    break?: boolean;
    host?: string;
    port?: number;
};
export declare type FableSplitterOptions = {
    entry: string;
    outDir: string;
    path?: string;
    babel?: Babel.TransformOptions;
    fable?: FableOptions;
    port?: number;
    cli?: object;
    allFiles?: boolean;
    externals?: any;
    run?: boolean | RunOptions;
    debug?: boolean;
    commonjs?: boolean;
    watch?: boolean;
    usePolling?: boolean;
    onCompiled?: () => void;
    onErrored?: () => void;
};
export declare function ensureDirExists(dir: string, cont?: () => void): void;
export default function fableSplitter(options: FableSplitterOptions, previousInfo?: CompilationInfo): Promise<CompilationInfo>;
