"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.send = void 0;
const net = require("net");
function send(host, port, msg) {
    return new Promise((resolve, reject) => {
        const client = new net.Socket();
        let resolved = false;
        let buffer = "";
        client.connect(port, host, () => {
            client.write(JSON.stringify(msg));
        });
        client.on('error', (err) => {
            if (!resolved) {
                resolved = true;
                reject(err);
            }
        });
        client.on('data', (data) => {
            buffer += data.toString();
        });
        client.on('close', () => {
            if (!resolved) {
                resolved = true;
                resolve(JSON.parse(buffer));
            }
        });
    });
}
exports.send = send;
