"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
let childCache = null;
function runScript(path, opts) {
    var _a, _b;
    const hostAndPort = opts.host || opts.port ? `=${(_a = opts.host) !== null && _a !== void 0 ? _a : "127.0.0.1"}:${(_b = opts.port) !== null && _b !== void 0 ? _b : "9229"}` : "";
    const args = (opts.inspect
        ? [`--inspect${opts.break ? "-brk" : ""}${hostAndPort}`, path]
        : [path]).concat(opts.args);
    if (childCache != null) {
        childCache.kill();
    }
    console.log("node " + args.join(" "));
    const child = child_process_1.spawn("node", args, {
        stdio: "inherit",
    });
    childCache = child;
    return new Promise((resolve, reject) => {
        child.on("error", (err) => {
            reject(err);
        });
        child.on("close", (code) => {
            resolve(code);
        });
    });
}
exports.default = runScript;
